import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { CnLabel } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-31 14:22
 */
interface CnLabelCU extends ConditionUtil<CnLabelCU> {
    ID: FieldUtil<CnLabelCU>;
    NAME: FieldUtil<CnLabelCU>;
    DESCRIBE: FieldUtil<CnLabelCU>;
    DELETED: FieldUtil<CnLabelCU>;
    CREATE_USER_ID: FieldUtil<CnLabelCU>;
    CREATE_TIME: FieldUtil<CnLabelCU>;
    UPDATE_USER_ID: FieldUtil<CnLabelCU>;
    UPDATE_TIME: FieldUtil<CnLabelCU>;
}
declare class CnLabelMU extends TableUtilImpl<CnLabelCU, CnLabel> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): CnLabelCU;
    static get ID(): FieldUtil<CnLabelCU>;
    static get NAME(): FieldUtil<CnLabelCU>;
    static get DESCRIBE(): FieldUtil<CnLabelCU>;
    static get DELETED(): FieldUtil<CnLabelCU>;
    static get CREATE_USER_ID(): FieldUtil<CnLabelCU>;
    static get CREATE_TIME(): FieldUtil<CnLabelCU>;
    static get UPDATE_USER_ID(): FieldUtil<CnLabelCU>;
    static get UPDATE_TIME(): FieldUtil<CnLabelCU>;
    get ID(): FieldUtil<CnLabelCU>;
    get NAME(): FieldUtil<CnLabelCU>;
    get DESCRIBE(): FieldUtil<CnLabelCU>;
    get DELETED(): FieldUtil<CnLabelCU>;
    get CREATE_USER_ID(): FieldUtil<CnLabelCU>;
    get CREATE_TIME(): FieldUtil<CnLabelCU>;
    get UPDATE_USER_ID(): FieldUtil<CnLabelCU>;
    get UPDATE_TIME(): FieldUtil<CnLabelCU>;
}
export { CnLabelMU, CnLabelCU };
